org.richfaces.ui.message.notifyMessages

## Class AbstractNotifyMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.richfaces.ui.message.notifyMessages.AbstractNotifyMessages

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxOutput, ClientSideMessage, NotifyAttributes
  Direct Known Subclasses:
    UINotifyMessages

      public abstract class AbstractNotifyMessages
      extends javax.faces.component.UIMessages
      implements AjaxOutput, ClientSideMessage, NotifyAttributes

  The <r:notifyMessages> component is the same as the <r:notifyMessage> component, but each of the available messages generates one notification.

  Author:
    Lukas Fryc, Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIMessages

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNotifyMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isAjaxRendered()` getter for ajax-rendered flag property.
    `abstract boolean` | `isEscape()`
    `abstract boolean` | `isKeepTransient()` getter for ajax-rendered flag property.
    `void` | `updateMessages(javax.faces.context.FacesContext context, String clientId)`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFamily, getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.ui.common.AjaxOutput

      `setAjaxRendered, setKeepTransient`

    - ### Methods inherited from interface org.richfaces.ui.message.ClientSideMessage

      `getFor`

    - ### Methods inherited from interface org.richfaces.ui.message.NotifyAttributes

      `getNonblockingOpacity, getStack, getStayTime, getStyleClass, isNonblocking, isShowCloseButton, isShowShadow, isSticky, setNonblocking, setNonblockingOpacity, setShowCloseButton, setShowShadow, setStack, setStayTime, setSticky, setStyleClass`

- - ### Constructor Detail

    - #### AbstractNotifyMessages

          public AbstractNotifyMessages()

  - ### Method Detail

    - #### isAjaxRendered

          public abstract boolean isAjaxRendered()

      Description copied from interface: `AjaxOutput`
      getter for ajax-rendered flag property.
      Specified by:
        `isAjaxRendered` in interface `AjaxOutput`
      Returns:

    - #### isKeepTransient

          public abstract boolean isKeepTransient()

      Description copied from interface: `AjaxOutput`
      getter for ajax-rendered flag property.
      Specified by:
        `isKeepTransient` in interface `AjaxOutput`
      Returns:

    - #### isEscape

          public abstract boolean isEscape()

    - #### updateMessages

          public void updateMessages(javax.faces.context.FacesContext context,
                            String clientId)

      Specified by:
        `updateMessages` in interface `ClientSideMessage`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.